<?php
/* =========================================================================
                                            ====      RECENT LINKS HACK ====
                                            ====  2004 Markku Seguerra ====
                                            ==== http://rebelpixel.com/ ====
========================================================================= */

require_once '../wp-config.php';

$title = 'Recent Links';
$this_file = 'recent-links.php';

$tablerecentlinks = $table_prefix.'recentlinks';
$a_tag = '[a]';
$a_tag2 = '[/a]';
$date_append = 'jS M Y @ g A';

$show_form = 1;

$php = (int) phpversion();

if ($php >= 5) {
    $HTTP_GET_VARS    = $_GET;
    $HTTP_POST_VARS   = $_POST;
    $HTTP_COOKIE_VARS = $_COOKIE;
}


if ($php < 5) {
    function __add_magic_quotes($array) {
        foreach ($array as $k => $v) {
            if (is_array($v)) {
                $array[$k] = add_magic_quotes($v);
            } else {
                $array[$k] = addslashes($v);
            }
        }
        return $array;
    }

    if (!get_magic_quotes_gpc()) {
        $HTTP_GET_VARS    = __add_magic_quotes($HTTP_GET_VARS);
        $HTTP_POST_VARS   = __add_magic_quotes($HTTP_POST_VARS);
        $HTTP_COOKIE_VARS = __add_magic_quotes($HTTP_COOKIE_VARS);
    }
}







function title_url($link_text, $link_url)
{
    global $a_tag, $a_tag2;

    if (  is_int(strpos($link_text, $a_tag))  &&  is_int(strpos($link_text, $a_tag2))  ) {
        $pos_open = strpos($link_text, $a_tag);
        $pos_close = strpos($link_text, $a_tag2, $pos_open);

        $prefix = substr($link_text, 0, $pos_open);
        $suffix = substr($link_text, $pos_close + strlen($a_tag2));

        $middle = substr($link_text, $pos_open + strlen($a_tag), $pos_close - ($pos_open + strlen($a_tag)));

        $new_link = $prefix.'<a href="'.$link_url.'">'.wptexturize($middle).'</a>'.$suffix;
    } else {
        $new_link = '<a href="'.$link_url.'">'.wptexturize($link_text).'</a>';
    }
    return $new_link;
}









    if (  isset($_REQUEST['add'])  ) { //* updated 2005-06-19 00:41:58

        $added = 1;

        $link_text = $HTTP_POST_VARS['link_text'];
        $link_url = $HTTP_POST_VARS['link_url'];
        $link_caption = $HTTP_POST_VARS['link_caption'];
        $link_rel = $HTTP_POST_VARS['link_rel'];
        $link_target = $HTTP_POST_VARS['link_target'];
        $link_visible = $HTTP_POST_VARS['link_visible'];
        $now = gmdate('Y-m-d H:i:s', (time() + (get_settings('gmt_offset') * 3600)));

        $link_author = $HTTP_POST_VARS['user_ID'];

//        //if ($user_level < get_settings('links_minadminlevel'))
//        //  die ("Cheatin' uh ?");
//        if ( !current_user_can('manage_links') )
//          die (__("Cheatin' uh ?"));

        if ( $wp_version >= 2 ) { // we have wp2
            if ( !current_user_can('manage_links') ) { die (__("Cheatin' uh ?")); }
        } else { // wp older than wp2
            if ( $user_level < get_settings('links_minadminlevel') ) { die ("Cheatin' uh ?"); }
        }


        $wpdb->query("INSERT INTO $tablerecentlinks (link_text, link_url, link_caption, link_rel, link_target, link_visible, link_author, date_added) " .
          " VALUES('" . addslashes($link_text) . "','"
               . addslashes($link_url) . "', '"
               . addslashes($link_caption) . "', '"
               . addslashes($link_rel) . "', '"
               . addslashes($link_target) . "', '"
               . addslashes($link_visible) . "', '"
               . addslashes($link_author) . "',"
               . " '$now')");



        if ( isset($_REQUEST['popupwindow']) ) {
            header('Location: ' . $HTTP_SERVER_VARS['HTTP_REFERER'].'&popupwindow=1');
        }





    } elseif ($_REQUEST['action'] == 'edit' && isset($_REQUEST['link_id'])) { //*

        $id = $_REQUEST['link_id'];
        if (!isset($_REQUEST['save_changes'])) { //updated 2005-06-19 00:39:29
            $show_form = 0;


            $sql = "SELECT ID, link_url, link_text, link_caption, link_rel, "
                    ."link_target, link_visible, date_added FROM $tablerecentlinks WHERE ID='$id'";
            $link = $wpdb->get_row($sql);

            /* $standalone = 0; */
            include_once('admin-header.php');

?>
<div class="wrap">
<h2><strong>Edit</strong> link:</h2>


<p>By default, everything in the <strong>link text</strong> field is
                wrapped by link tag, like<br /> <code>&lt;a href=&quot;http://google.com&quot;&gt;<strong>link to google</strong>&lt;/a&gt;</code>, but you may enter the link text in the format
                <code>link to [a]google[/a]</code> to get<br />
                <code>link to &lt;a href=&quot;http://google.com&quot;&gt;<strong>google</strong>&lt;/a&gt;</code><br /><strong>Got the idea?</strong></p>


     <form name="addlink" method="post" action="recent-links.php">
       <table width="100%"  border="0" cellspacing="0" cellpadding="4">
         <tr>
           <th scope="row">Link Text:</th>
           <td><input type="text" name="link_text" size="80" value="<?php echo htmlspecialchars(stripslashes($link->link_text)); ?>"></td>
         </tr>
         <tr>
           <th scope="row">URI:</th>
           <td><input type="text" name="link_url" size="80" value="<?php echo htmlspecialchars(stripslashes($link->link_url)); ?>"></td>
         </tr>
         <tr>
           <th scope="row">Caption (title attribute):</th>
           <!-- <td><input type="text" name="link_caption" size="80" value="<?php echo htmlspecialchars(stripslashes($link->link_caption)); ?>"></td> -->
            <td><textarea name="link_caption" rows="4" cols="50"><?php echo htmlspecialchars(stripslashes($link->link_caption)); ?></textarea></td>
         </tr>
         <tr>
           <th scope="row">rel:</th>
           <td><input type="text" name="link_rel" size="80" value="<?php echo htmlspecialchars(stripslashes($link->link_rel)); ?>"></td>
         </tr>
         <tr>
           <th scope="row">Date added:</th>
           <td><input type="text" name="date_added" size="80" value="<?php echo htmlspecialchars(stripslashes($link->date_added)); ?>"></td>
         </tr>
         <tr>
           <th scope="row">Target</th>
           <td><label>
             <input type="radio" name="link_target" value="_blank" <?php if ($link->link_target == '_blank') echo 'checked="checked"' ?>>
             <code>_blank</code></label>
&nbsp;
<label>
<input type="radio" name="link_target" value="_top" <?php if ($link->link_target == '_top') echo 'checked="checked"' ?>>
<code>_top</code></label>
&nbsp;
<label>
<input type="radio" name="link_target" value="" <?php if ($link->link_target == '') echo 'checked="checked"' ?>>
none</label>
(Note that the <code>target</code> attribute is illegal in XHTML 1.1 and 1.0 Strict.)</td>
         </tr>
         <tr>
           <th scope="row">Visible:</th>
           <td><label>
             <input type="radio" name="link_visible" value="Y" <?php if ($link->link_visible == 'Y') echo 'checked="checked"' ?>>
Yes</label>
&nbsp;
<label>
<input type="radio" name="link_visible" value="N" <?php if ($link->link_visible == 'N') echo 'checked="checked"' ?>>
No</label></td>
         </tr>
       </table>
       <p style="text-align: center;">
         <input type="hidden" name="action" value="edit" />
         <input type="hidden" name="save_changes" />
         <input type="hidden" name="link_id" value="<?php echo stripslashes($_REQUEST['link_id']) ?>" />
         <input type="submit" name="submit" value="Edit Link" class="search">
       </p>
  </form>
</div>

<?php

        } else { //updated 2005-06-19 00:39:19
            $show_form = 1;
            $edited = 1;

            $link_id = $HTTP_POST_VARS['link_id'];
            $date_added = $HTTP_POST_VARS['date_added'];
            $link_text = $HTTP_POST_VARS['link_text'];
            $link_url = $HTTP_POST_VARS['link_url'];
            $link_caption = $HTTP_POST_VARS['link_caption'];
            $link_rel = $HTTP_POST_VARS['link_rel'];
            $link_target = $HTTP_POST_VARS['link_target'];
            $link_visible = $HTTP_POST_VARS['link_visible'];

//            //if ($user_level < get_settings('links_minadminlevel'))
//            //  die ("Cheatin' uh ?");
//            if ( !current_user_can('manage_links') )
//              die (__("Cheatin' uh ?"));

            if ( $wp_version >= 2 ) { // we have wp2
                if ( !current_user_can('manage_links') ) { die (__("Cheatin' uh ?")); }
            } else { // wp older than wp2
                if ( $user_level < get_settings('links_minadminlevel') ) { die ("Cheatin' uh ?"); }
            }


            $wpdb->query("UPDATE $tablerecentlinks SET link_url='" . addslashes($link_url) . "',
            date_added='" . addslashes($date_added) . "',
            link_text='" . addslashes($link_text) . "',
            link_caption='" . addslashes($link_caption) . "',
            link_rel='" . addslashes($link_rel) . "',
            link_target='" . addslashes($link_target) . "',
            link_visible='" . addslashes($link_visible) . "' WHERE ID='$link_id'");
        }



    } elseif ($_REQUEST['action'] == 'delete' && isset($_REQUEST['link_id'])) { //*
        $show_form = 1;
        $deleted = 1;

        $link_id = $_GET['link_id'];

//        //if ($user_level < get_settings('links_minadminlevel'))
//        //  die ("Cheatin' uh ?");
//        if ( !current_user_can('manage_links') )
//          die (__("Cheatin' uh ?"));

        if ( $wp_version >= 2 ) { // we have wp2
            if ( !current_user_can('manage_links') ) { die (__("Cheatin' uh ?")); }
        } else { // wp older than wp2
            if ( $user_level < get_settings('links_minadminlevel') ) { die ("Cheatin' uh ?"); }
        }

        $wpdb->query("DELETE FROM $tablerecentlinks WHERE ID = $link_id");



    } elseif ( $_REQUEST['action'] == 'popup' ) { //*

        /* $standalone = 1; */
        /* include_once('admin-header.php'); */
        $show_form = 0;

//        //if ($user_level < get_settings('links_minadminlevel'))
//        //  die ("Cheatin' uh ?");
//        if ( !current_user_can('manage_links') )
//          die (__("Cheatin' uh ?"));

        if ( $wp_version >= 2 ) { // we have wp2
            if ( !current_user_can('manage_links') ) { die (__("Cheatin' uh ?")); }
        } else { // wp older than wp2
            if ( $user_level < get_settings('links_minadminlevel') ) { die ("Cheatin' uh ?"); }
        }



        if (!isset($_GET['popupwindow'])) {
            $link_name = $_GET['popuptitle'];
            $link_url = $_GET['popupurl'];
        } else {
            ?>
                <html>
                <head>
                <script language="javascript" type="text/javascript">
                <!--
                window.close()
                -->
                </script>
                </head>
                <body></body>
                </html>
            <?php
            die;
        }

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php bloginfo('name') ?> &rsaquo; <?php echo $title; ?> &#8212; WordPress</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $admin_area_charset ?>" />
<link rel="stylesheet" href="wp-admin.css" type="text/css" />
<link rel="shortcut icon" href="../wp-images/wp-favicon.png" />
<style type="text/css">
<!--

#wpbookmarklet textarea,input,select {
    border-width: 1px;
    border-color: #cccccc;
    border-style: solid;
    padding: 2px;
    margin: 1px;
}

#wpbookmarklet .checkbox {
    background-color: #ffffff;
    border-width: 0px;
    padding: 0px;
    margin: 0px;
}

#wpbookmarklet textarea {
    font-family: Verdana, Geneva, Arial, Helvetica;
    font-size: 0.9em;
}

#wpbookmarklet .wrap {
    border: 0px;
}

#wpbookmarklet #postdiv {
    margin-bottom: 0.5em;
}

#wpbookmarklet #titlediv {
    margin-bottom: 1em;
}

-->
</style>
</head>
<body id="wpbookmarklet">
<div id="wphead">
<h1><?php echo wptexturize(get_settings(('blogname'))); ?> <span>(<a href="<?php echo get_settings('home') . '/'; ?>"><?php _e('View site') ?> &raquo;</a>)</span></h1>
</div>
<div class="wrap">
<h2>Add a recent link</h2>


<!-- <p>By default, everything in the <strong>link text</strong> field is
                wrapped by link tag, like<br /> <code style="background:#ff9">&lt;a href=&quot;http://google.com&quot;&gt;<strong>link to google</strong>&lt;/a&gt;</code>,<br />
                but you may enter the link text in the format
                <code style="background:#ff9">link to [a]google[/a]</code> to get<br />
                <code style="background:#ff9">link to &lt;a href=&quot;http://google.com&quot;&gt;<strong>google</strong>&lt;/a&gt;</code><br /><strong>Got the idea?</strong></p> -->


     <form name="addlink" method="post" action="recent-links.php" id="post">
       <table width="100%"  border="0" cellspacing="0" cellpadding="4">
         <tr>
           <th scope="row">Link Text:</th>
           <td><input type="text" name="link_text" size="80" value="<?php echo $link_name; ?>"></td>
         </tr>
         <tr>
           <th scope="row">URI:</th>
           <td><input type="text" name="link_url" size="80" value="<?php echo $link_url; ?>"></td>
         </tr>
         <tr>
           <th scope="row">Caption (title attribute):</th>
           <!-- <td><input type="text" name="link_caption" size="80" value=""></td> -->
            <td><textarea name="link_caption" rows="4" cols="50"></textarea></td>
         </tr>
         <tr>
           <th scope="row">rel:</th>
           <td><input type="text" name="link_rel" size="80" value=""></td>
         </tr>
         <tr>
           <th scope="row">Target</th>
           <td><label>
             <input type="radio" name="link_target" value="_blank">
             <code>_blank</code></label>
&nbsp;
<label>
<input type="radio" name="link_target" value="_top">
<code>_top</code></label>
&nbsp;
<label>
<input type="radio" name="link_target" value="" checked="checked">
none</label>
(Note that the <code>target</code> attribute is illegal in XHTML 1.1 and 1.0 Strict.)</td>
         </tr>
         <tr>
           <th scope="row">Visible:</th>
           <td><label>
             <input type="radio" name="link_visible" checked="checked" value="Y">
Yes</label>
&nbsp;
<label>
<input type="radio" name="link_visible" value="N">
No</label></td>
         </tr>
       </table>
       <p style="text-align: center;">
         <input type="hidden" name="add" />
         <input type="hidden" name="popupwindow" />
         <input type="hidden" name="user_ID" value="<?php echo $user_ID ?>" />
         <input type="submit" name="submit" value="Add Link" class="search"> <input type="hidden" name="action" value="Add" />
       </p>
  </form>
</div>
</body>
</html>

<?php
    }






/* DEFAULT FORM --------------------------------------------------------------------------- */

if (  $show_form  ) {


        include_once('admin-header.php');

        if ($edited) {
            echo '<div class="updated"><p>Recent link entry edited.</p></div>';
        }elseif ($added) {
            echo '<div class="updated"><p>Recent link entry added.</p></div>';
        }elseif ($deleted) {
            echo '<div class="updated"><p>Recent link entry deleted.</p></div>';
        }


?>

<div class="wrap">
<h2>Add a recent link</h2>


<!-- <p>By default, everything in the <strong>link text</strong> field is
wrapped by link tag, like <code style="background:#ff9">&lt;a
href=&quot;http://google.com&quot;&gt;<strong>link to
google</strong>&lt;/a&gt;</code>, but you may enter the link text
in the format <code style="background:#ff9">link to [a]google[/a]</code>
to get <code style="background:#ff9">link to &lt;a
href=&quot;http://google.com&quot;&gt;<strong>google</strong>&lt;/a&gt;</code>.
<strong>Got the idea?</strong></p> -->


     <form name="addlink" method="post" action="recent-links.php">
       <table width="100%"  border="0" cellspacing="0" cellpadding="4">
         <tr>
           <th scope="row">Link Text:</th>
           <td><input type="text" name="link_text" size="80" value=""></td>
         </tr>
         <tr>
           <th scope="row">URI:</th>
           <td><input type="text" name="link_url" size="80" value=""></td>
         </tr>
         <tr>
           <th scope="row">Caption (title attribute):</th>
           <!-- <td><input type="text" name="link_caption" size="80" value=""></td> -->
           <td><textarea name="link_caption" rows="4" cols="50"></textarea></td>
         </tr>
         <tr>
           <th scope="row">rel:</th>
           <td><input type="text" name="link_rel" size="80" value=""></td>
         </tr>
         <tr>
           <th scope="row">Target</th>
           <td><label>
             <input type="radio" name="link_target" value="_blank">
             <code>_blank</code></label>
&nbsp;
<label>
<input type="radio" name="link_target" value="_top">
<code>_top</code></label>
&nbsp;
<label>
<input type="radio" name="link_target" value="" checked="checked">
none</label>
(Note that the <code>target</code> attribute is illegal in XHTML 1.1 and 1.0 Strict.)</td>
         </tr>
         <tr>
           <th scope="row">Visible:</th>
           <td><label>
             <input type="radio" name="link_visible" checked="checked" value="Y">
Yes</label>
&nbsp;
<label>
<input type="radio" name="link_visible" value="N">
No</label></td>
         </tr>
       </table>
       <p style="text-align: center;">
         <input type="hidden" name="add" />
         <input type="hidden" name="user_ID" value="<?php echo $user_ID ?>" />
         <input type="submit" name="submit" value="Add Link" class="search"> <input type="hidden" name="action" value="Add" />
       </p>
  </form>
</div>



<div class="wrap">

  <table width="100%" cellpadding="3" cellspacing="3">
  <?php
    if ($_REQUEST['show'] == 'all') {
        echo '<caption><a href="recent-links.php">Last 10 links</a> | All links</caption>';
    } else {
        echo '<caption>Last 10 links | <a href="recent-links.php?show=all">All links</a></caption>';
    }
  ?>

    <tr>
      <th width="30%">Link</th>
      <th>Caption</th>
      <th>rel</th>
      <th>Target</th>
      <th>Visible</th>
      <th colspan="2">Action</th>
  </tr>



<?php


    if ($_REQUEST['show'] != 'all') {
        $limit = 'LIMIT 10';
    }


    $sql = "SELECT ID, link_url, link_text, link_caption, link_rel, "
            ."link_target, link_visible, date_added FROM $tablerecentlinks ORDER BY date_added DESC $limit";

    $links = $wpdb->get_results($sql);
    if ($links) {



        if (count($links) > 10 && $_REQUEST['show'] != 'all') {
            $links = array_slice($links, 0, 10);
        }



        foreach ($links as $link) {

            $visible = ($link->link_visible == 'Y') ? 'Yes' : 'No';
            ++$i;
            $style = ($i % 2) ? ' class="alternate"' : '';

            $linked = title_url(stripslashes($link->link_text),
                                stripslashes($link->link_url)
                                );
            $this_date = date($date_append, strtotime($link->date_added));

            if ( $wp_version >= 2 ) { // we have wp2
                $show_buttons = 0; // default
                if (current_user_can('manage_links')) { $show_buttons = 1; }
            } else { // wp older than wp2
                $show_buttons = 1; // default
                if (get_settings('links_use_adminlevels') && ($link->user_level > $user_level)) { $show_buttons = 0; }
            }

            ?>
    <tr valign="top" <?php echo $style; ?>>
        <td><strong><?php echo $linked; ?></strong><br />
        <small>Added: <?php echo $this_date; ?></small></td>
        <td><?php echo stripslashes($link->link_caption); ?></td>
        <td><?php echo stripslashes($link->link_rel); ?></td>
        <td><?php echo stripslashes($link->link_target); ?></td>
        <td align='center'><?php echo stripslashes($visible); ?></td>

            <?php if ($show_buttons) { ?>
        <td><a href="recent-links.php?link_id=<?php echo $link->ID; ?>&amp;action=edit" class="edit">Edit</a></td>
        <td><a href="recent-links.php?link_id=<?php echo $link->ID; ?>&amp;action=delete" onclick="return confirm('You are about to delete this link.\\n  \'Cancel\' to stop, \'OK\' to delete.');" class="delete">Delete</a></td>
            <?php } else { ?>
        <td>&nbsp;</td><td>&nbsp;</td>
            <?php } ?>
    </tr>


            <?php
        } //foreach
    }
?>
</table>

</div>



<div class="wrap">
<h2>Recent Links bookmarklet</h2>
<p>You can drag the following link to your links bar or add it to your bookmarks and when you "Press this link" it will open up a popup window with the link and page title of the site you&#8217;re currently browsing, so you can add it to your linklog. Try it out:</p>
<p>

<?php
if (!isset($use_trackback)) {
    $use_trackback = get_settings('use_trackback');
}
$bookmarklet_height= ($use_trackback) ? 480 : 440;


if ($is_NS4 || $is_gecko) {
?>




    <a href="javascript:if(navigator.userAgent.indexOf('Safari') >= 0){Q=getSelection();}else{Q=document.selection?document.selection.createRange().text:document.getSelection();}void(window.open('<?php echo get_settings('siteurl'); ?>/wp-admin/recent-links.php?action=popup&text='+encodeURIComponent(Q)+'&popupurl='+encodeURIComponent(location.href)+'&popuptitle='+encodeURIComponent(document.title),'Recent Links bookmarklet','scrollbars=yes,width=600,height=460,left=100,top=150,status=yes'));">Press this link
    - <?php echo get_settings('blogname'); ?></a>
    <?php
} else if ($is_winIE) {
?>
    <a href="javascript:Q='';if(top.frames.length==0)Q=document.selection.createRange().text;void(btw=window.open('<?php echo get_settings('siteurl'); ?>/wp-admin/recent-links.php?action=popup&text='+encodeURIComponent(Q)+'<?php echo $bookmarklet_tbpb ?>&popupurl='+encodeURIComponent(location.href)+'&popuptitle='+encodeURIComponent(document.title),'bookmarklet','scrollbars=yes,width=600,height=<?php echo $bookmarklet_height ?>,left=100,top=150,status=yes'));btw.focus();">Press this link
    - <?php echo get_settings('blogname'); ?></a>

    <?php
} else if ($is_opera) {
?>
    <a href="javascript:void(window.open('<?php echo get_settings('siteurl'); ?>/wp-admin/recent-links.php?action=popup&popupurl='+escape(location.href)+'&popuptitle='+escape(document.title)+'<?php echo $bookmarklet_tbpb ?>','bookmarklet','scrollbars=yes,width=600,height=<?php echo $bookmarklet_height ?>,left=100,top=150,status=yes'));">Press this link
    - <?php echo get_settings('blogname'); ?></a>
    <?php
} else if ($is_macIE) {
?>
    <a href="javascript:Q='';if(top.frames.length==0);void(btw=window.open('<?php echo get_settings('siteurl'); ?>/wp-admin/recent-links.php?action=popup&text='+escape(document.getSelection())+'&popupurl='+escape(location.href)+'&popuptitle='+escape(document.title)+'<?php echo $bookmarklet_tbpb ?>','bookmarklet','scrollbars=yes,width=600,height=<?php echo $bookmarklet_height ?>,left=100,top=150,status=yes'));btw.focus();">Press this link
    - <?php echo get_settings('blogname'); ?></a>
    <?php
}
?>
</p>
</div>







<div class="wrap">
<h2>Edit bookmarklet</h2>
<p>This bookmarklet allows you to edit your recent links
much more easily. Try it out:</p>
<p>

<?php
if (!isset($use_trackback)) {
    $use_trackback = get_settings('use_trackback');
}
$bookmarklet_height= ($use_trackback) ? 480 : 440;

if ($is_NS4 || $is_gecko) {
?>

    <a href="javascript:(function() {var
l=document.location;document.location='<?php echo get_settings('siteurl');;
?>/wp-admin/recent-links.php?action=edit&link_id='+l.hash.substring(l.hash.lastIndexOf('-')
+ 1, 99);})();,'Recent Links bookmarklet','scrollbars=yes,width=600,height=460,left=100,top=150,status=yes'));">Edit link
    - <?php echo get_settings('blogname'); ?></a>

    <?php
}
?>

</p>
</div>





<?php

}

/* DEFAULT FORM --------------------------------------------------------------------------- */


















?>
<?php include('admin-footer.php'); ?>